# Asterisk Project : Asterisk 13 Application_ConfBridge

Created by wikibot on Aug 08, 2014

# ConfBridge()

### Synopsis

Conference bridge application.

### Description

Enters the user into a specified conference bridge. The user can exit the conference by hangup or DTMF menu option.

This application sets the following channel variable upon completion:

- `CONFBRIDGE_RESULT`
  - FAILED - The channel encountered an error and could not enter the conference.
  - HANGUP - The channel exited the conference by hanging up.
  - KICKED - The channel was kicked from the conference.
  - ENDMARKED - The channel left the conference as a result of the last marked user leaving.
  - DTMF - The channel pressed a DTMF sequence to exit the conference.

### Syntax

    ConfBridge(conference,[bridge_profile,[user_profile,[menu]]])

##### Arguments

- `conference` - Name of the conference bridge. You are not limited to just numbers.
- `bridge_profile` - The bridge profile name from confbridge.conf. When left blank, a dynamically built bridge profile created by the CONFBRIDGE dialplan function is searched for on the channel and used. If no dynamic profile is present, the 'default_bridge' profile found in confbridge.conf is used.
  It is important to note that while user profiles may be unique for each participant, mixing bridge profiles on a single conference is _NOT_ recommended and will produce undefined results.
- `user_profile` - The user profile name from confbridge.conf. When left blank, a dynamically built user profile created by the CONFBRIDGE dialplan function is searched for on the channel and used. If no dynamic profile is present, the 'default_user' profile found in confbridge.conf is used.
- `menu` - The name of the DTMF menu in confbridge.conf to be applied to this channel. When left blank, a dynamically built menu profile created by the CONFBRIDGE dialplan function is searched for on the channel and used. If no dynamic profile is present, the 'default_menu' profile found in confbridge.conf is used.

### See Also

- Asterisk 13 Application_ConfBridge
- Asterisk 13 Function_CONFBRIDGE
- Asterisk 13 Function_CONFBRIDGE_INFO

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538